Calendar API
This guide will help you migrate the Calendar features of your application to API v2.
Methods changes
For each endpoint in the v1 API, here are the corresponding endpoints in the v2 API, along with the necessary modifications to achieve the same results.
Specifying the target accountThe
account_idparam, previously available either in the query params or in the body, is removed from all methods. Theaccount_idmust now be consistently included in the path params.
List all calendars
GET /v1/calendars
- Use
GET /v2/:account_id/calendarsList all Calendars - Query param
account_idis removed- Specify in the path param
Retrieve a calendar
GET /v1/calendars
- Use
GET /v2/:account_id/calendarsList all Calendars - Query param
account_idis removed- Specify in the path param
Retrieve all events from a calendar
GET /v1/calendars/:calendar_id/events
- Use
GET /v2/:account_id/calendars/:calendar_id/eventsList all calendar events - Query param
account_idis removed- Specify in the path param
- Response shape has changed (see CalendarEvent object changes)
Retrieve an event
GET /v1/calendars/:calendar_id/events/:event_id
- Use
GET /v2/:account_id/calendars/:calendar_id/events/:event_idGet a calendar event - Query param
account_idis removed- Specify in the path param
- Response shape has changed (see CalendarEvent object changes)
CalendarEvent changes
| v1 field | v2 change |
|---|---|
start.time_zone | Renamed to start.timezone |
end.time_zone | Renamed to end.timezone |
Updated 3 months ago